/**
 * YouHave10Seconds.asl - An ASL script for the auto-splitter of LiveSplit for the game You Have 10 Seconds
 * @author  Ekelbatzen & Arcree
 * @version 4 on September 29th 2016
 */
 
state("You Have 10 Secondsfinal") {
    int levelId:          0x59C310;
	int movementStatus:   0x399F04, 0x0, 0xF8, 0xC, 0xB4; //0 if menu or enabled, 1 or 2 if not
}
 
start {
	vars.didSplit1 = false;
	vars.didSplit2 = false;
	vars.didSplit3 = false;
	vars.didSplit4 = false;
    return old.levelId == 1 && current.levelId != 1;
}
 
split {
	if(current.movementStatus > 0){
		if(!vars.didSplit1 && current.levelId == 13){
			vars.didSplit1 = true;
			return true;
		}
		if(!vars.didSplit2 && current.levelId == 24){
			vars.didSplit2 = true;
			return true;
		}
		if(!vars.didSplit3 && current.levelId == 35){
			vars.didSplit3 = true;
			return true;
		}
		if(!vars.didSplit4 && current.levelId == 50){
			vars.didSplit4 = true;
			return true;
		}
	}
	
	return false;
}